libogg documentation | libogg release 1.0 - 20000615

# oggpack_write

declared in "ogg/ogg.h";

This function writes bits into an oggpack_buffer.

The oggpack_buffer must already be initialized for writing using oggpack_writeinit.

Only 32 bits can be written at a time.

    void  oggpack_write(oggpack_buffer *b,unsigned long value,int bits);

### Parameters

b
  Buffer to be used for writing.
value
  The data to be written into the buffer. This must be 32 bits or fewer.
bits
  The number of bits being written into the buffer.

### Return Values

> - No values are returned.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615